print("Startup script launched ...")

-- Globals
gGame = LuaGame(gGame)
gLuaHandler = LuaHandler(gLuaHandler)
gUtils = LuaUtils(gUtils)
gSpriteManager = LuaSpriteManager(gSpriteManager)
gSoundManager = LuaSoundManager(gSoundManager)
gWorld = LuaWorldInstance(gWorld)
gQuestsManager = LuaQuests(gQuestsManager)
gTownState = LuaTownState(gTownState)
gVarStore = LuaVarStore(gVarStore)
gParty = LuaParty(gParty)
gViewport = LuaViewport(gViewport)
gGUI = LuaGUI(gGUI)
gSymbols = LuaSymbols(gSymbols)
gTravelScreen = LuaTravelScreen(gTravelScreen)

gLuaHandler.loadFiles({
	"scripts/enums.lua",
	"scripts/consts.lua",
	"scripts/types.lua",
	"scripts/symbols.lua",
	"scripts/items.lua",
	"scripts/dialogs.lua",
	"scripts/states/town.lua",
	"scripts/quests.lua",
	"scripts/ui.lua",
	"scripts/journal.lua",
	"scripts/minigames/fire.lua"
})
